package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag742;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT742Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag20Creator extends AbsTagCreate {

     private MT742Creator mt742Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt742Creator= (MT742Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt742Creator.getClaimingBankReference();
        mt742Creator.set("20", tag20Value);
    }
}
